Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.wsrp.consumer
Class InvocationHandler

    java.lang.Object
      org.jboss.portal.wsrp.consumer.InvocationHandler

Direct Known Subclasses:
  ActionHandler, RenderHandler

    public abstract class InvocationHandler

extends java.lang.Object

Since:
  2.4 (May 31, 2006)
Version:
  $Revision: 8784 $
Author:
  Chris Laprun

Field Summary
`protected WSRPConsumerImpl` | `consumer`
`protected static org.jboss.logging.Logger` | `log`

Constructor Summary
`InvocationHandler(WSRPConsumerImpl consumer)`

Method Summary
`protected java.lang.String` | `getNamespaceFrom(org.jboss.portal.portlet.spi.WindowContext windowContext)`
`protected abstract RuntimeContext` | `getRuntimeContextFrom(java.lang.Object request)`
`protected abstract java.lang.Object` | `performRequest(java.lang.Object request)`
`protected java.lang.Object` | `performRequest(java.lang.Object request, org.jboss.portal.portlet.invocation.PortletInvocation invocation)`
`protected abstract java.lang.Object` | `prepareRequest(org.jboss.portal.wsrp.consumer.RequestPrecursor requestPrecursor, org.jboss.portal.portlet.invocation.PortletInvocation invocation)`
`protected abstract org.jboss.portal.portlet.invocation.response.PortletInvocationResponse` | `processResponse(java.lang.Object response, org.jboss.portal.portlet.invocation.PortletInvocation invocation, org.jboss.portal.wsrp.consumer.RequestPrecursor requestPrecursor)`
`protected org.jboss.portal.portlet.invocation.response.ErrorResponse` | `unwrapWSRPError(org.jboss.portal.portlet.invocation.response.ErrorResponse errorResponse)`
`protected abstract void` | `updateRegistrationContext(java.lang.Object request)`
`protected abstract void` | `updateUserContext(java.lang.Object request, UserContext userContext)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### consumer

    protected WSRPConsumerImpl consumer

### log

    protected static org.jboss.logging.Logger log

Constructor Detail

### InvocationHandler

    public InvocationHandler(WSRPConsumerImpl consumer)

Method Detail

### performRequest

    protected java.lang.Object performRequest(java.lang.Object request,
                                              org.jboss.portal.portlet.invocation.PortletInvocation invocation)
                                       throws org.jboss.portal.portlet.PortletInvokerException

  Throws:
    `org.jboss.portal.portlet.PortletInvokerException`

### getNamespaceFrom

    protected java.lang.String getNamespaceFrom(org.jboss.portal.portlet.spi.WindowContext windowContext)

### unwrapWSRPError

    protected org.jboss.portal.portlet.invocation.response.ErrorResponse unwrapWSRPError(org.jboss.portal.portlet.invocation.response.ErrorResponse errorResponse)

### updateUserContext

    protected abstract void updateUserContext(java.lang.Object request,
                                              UserContext userContext)

### updateRegistrationContext

    protected abstract void updateRegistrationContext(java.lang.Object request)
                                               throws org.jboss.portal.portlet.PortletInvokerException

  Throws:
    `org.jboss.portal.portlet.PortletInvokerException`

### getRuntimeContextFrom

    protected abstract RuntimeContext getRuntimeContextFrom(java.lang.Object request)

### performRequest

    protected abstract java.lang.Object performRequest(java.lang.Object request)
                                                throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### prepareRequest

    protected abstract java.lang.Object prepareRequest(org.jboss.portal.wsrp.consumer.RequestPrecursor requestPrecursor,
                                                       org.jboss.portal.portlet.invocation.PortletInvocation invocation)

### processResponse

    protected abstract org.jboss.portal.portlet.invocation.response.PortletInvocationResponse processResponse(java.lang.Object response,
                                                                                                              org.jboss.portal.portlet.invocation.PortletInvocation invocation,
                                                                                                              org.jboss.portal.wsrp.consumer.RequestPrecursor requestPrecursor)
                                                                                                       throws org.jboss.portal.portlet.PortletInvokerException

  Throws:
    `org.jboss.portal.portlet.PortletInvokerException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD